#encoding=UTF-8

if $kbubble
	if $kbubble.handlePluginUpgrade
		$kbubble.deleteLater
		$kbubble = nil
		GC.start
		if $kbubble_cleaner
			load "#{File.dirname(__FILE__)}/krbubble_cleaner.rbx"
			$kbubble_cleaner.clean
		end
	end
end

if $kbubble
	$kbubble.handlePluginReenter
else
	load "#{File.dirname(__FILE__)}/krbubblelauncher_wrapper.rb"
end

#0F5E0E4A55DA1D4B40CEB7095D49344ADEE73DFB25CC4AC81F40575AD411083E603D84A0EA9EB0FB287C7B1433DE7AB8BF08675E7C34579F892C739635D6BEDC